%{!?upstream_version: %global upstream_version %{commit}}
%define upstream_name sensu-puppet
%global commit 7f60b2c5f708ed03b7769b69a1e86018db598aa9
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git


Name:           puppet-sensu
Version:        2.1.0
Release:        4%{?alphatag}%{?dist}
Summary:        A module to install the Sensu monitoring framework
License:        MIT

URL:            https://github.com/sensu/sensu-puppet

Source0:        https://github.com/sensu/%{upstream_name}/archive/%{commit}.tar.gz#/%{upstream_name}-%{shortcommit}.tar.gz

#
# patches_base=7f60b2c5f708ed03b7769b69a1e86018db598aa9
#
Patch0001: 0001-Add-an-issue-template.patch
Patch0002: 0002-Fixes-for-Windows-clients-with-Enterprise.patch
Patch0003: 0003-Adding-Windows-Server-2012-nodeset.patch
Patch0004: 0004-Need-to-use-variable-for-conf_dir-for-subscriptions-.patch
Patch0005: 0005-More-Windows-fixes.patch
Patch0006: 0006-Missing-a-comma.patch
Patch0007: 0007-Another-comma.patch
Patch0008: 0008-Changing-default-vhost-back.patch
Patch0009: 0009-Having-Sensu-user-use-user-variable.patch
Patch0010: 0010-Reset-rabbitmq-vhost.patch
Patch0011: 0011-removed-subdue-from-handler-configuration.patch
Patch0012: 0012-remove-subdue-property-with-absent.patch
Patch0013: 0013-enforce-subdue-property-removal-when-subdue-absent.patch

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
A module to install the Sensu monitoring framework

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/sensu/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/sensu/



%files
%{_datadir}/openstack-puppet/modules/sensu/


%changelog
* Tue Nov 01 2016 Jon Schlueter <jschluet@redhat.com> 2.1.0-4
- enforce subdue property removal when subdue = 'absent'
- remove subdue property with 'absent'
- removed subdue from handler configuration

* Fri Oct 28 2016 Jon Schlueter <jschluet@redhat.com> 2.1.0-3
- Reset rabbitmq vhost
- Having Sensu user use user variable
- Changing default vhost back
- Another comma
- Missing a comma
- More Windows fixes
- Need to use variable for conf_dir for subscriptions to work with Windows
- Adding Windows Server 2012 nodeset
- Fixes for Windows clients with Enterprise

* Fri Oct 28 2016 Jon Schlueter <jschluet@redhat.com> 2.1.0-2
- Merge pull request #567 from jaxxstorm/github_templates
- Add an issue template

* Tue Sep 20 2016 Haikel Guemar <hguemar@fedoraproject.org> - 2.1.0-1.7f60b2c.git
- Newton update 2.1.0 (7f60b2c5f708ed03b7769b69a1e86018db598aa9)


